<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_weight="1"
    android:gravity="center"
    android:paddingHorizontal="20px"
    tools:ignore="PxUsage">

    <ProgressBar
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <RelativeLayout
        android:id="@+id/cabinet_RL"
        android:layout_width="610px"
        android:layout_height="650px"
        android:layout_centerInParent="true"
        android:background="@mipmap/locker">

        <RelativeLayout
            android:layout_width="372px"
            android:layout_height="484px"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="108px"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <RadioGroup
                    android:id="@+id/locker_up_drawer_RG"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <RadioButton
                        android:id="@+id/locker_up_drawer_1_RB"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/selector_locker_drawer"
                        android:button="@null"
                        android:visibility="gone" />

                    <RadioButton
                        android:id="@+id/locker_up_drawer_2_RB"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/selector_locker_drawer"
                        android:button="@null"
                        android:visibility="gone" />

                    <RadioButton
                        android:id="@+id/locker_up_drawer_3_RB"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/selector_locker_drawer"
                        android:button="@null"
                        android:visibility="gone" />

                    <RadioButton
                        android:id="@+id/locker_up_drawer_4_RB"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/selector_locker_drawer"
                        android:button="@null"
                        android:visibility="gone" />

                    <RadioButton
                        android:id="@+id/locker_up_drawer_5_RB"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/selector_locker_drawer"
                        android:button="@null"
                        android:visibility="gone" />

                    <RadioButton
                        android:id="@+id/locker_up_drawer_6_RB"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/selector_locker_drawer"
                        android:button="@null"
                        android:visibility="gone" />

                    <RadioButton
                        android:id="@+id/locker_up_drawer_7_RB"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/selector_locker_drawer"
                        android:button="@null"
                        android:visibility="gone" />

                    <RadioButton
                        android:id="@+id/locker_up_drawer_8_RB"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/selector_locker_drawer"
                        android:button="@null"
                        android:visibility="gone" />
                </RadioGroup>

                <RadioGroup
                    android:id="@+id/locker_down_drawer_RG"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <RadioButton
                        android:id="@+id/locker_down_drawer_1_RB"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/selector_locker_drawer"
                        android:button="@null"
                        android:visibility="gone" />

                    <RadioButton
                        android:id="@+id/locker_down_drawer_2_RB"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/selector_locker_drawer"
                        android:button="@null"
                        android:visibility="gone" />

                    <RadioButton
                        android:id="@+id/locker_down_drawer_3_RB"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/selector_locker_drawer"
                        android:button="@null"
                        android:visibility="gone" />

                    <RadioButton
                        android:id="@+id/locker_down_drawer_4_RB"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/selector_locker_drawer"
                        android:button="@null"
                        android:visibility="gone" />
                </RadioGroup>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/locker_up_drawer_LL"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/locker_up_drawer_1_TV"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20px"
                        android:layout_marginBottom="10px"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:gravity="bottom"
                        android:maxLines="1"
                        android:text="①  层"
                        android:textColor="@color/white"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/locker_up_drawer_2_TV"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20px"
                        android:layout_marginBottom="10px"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:gravity="bottom"
                        android:maxLines="1"
                        android:text="②  层"
                        android:textColor="@color/white"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/locker_up_drawer_3_TV"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20px"
                        android:layout_marginBottom="10px"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:gravity="bottom"
                        android:maxLines="1"
                        android:text="③  层"
                        android:textColor="@color/white"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/locker_up_drawer_4_TV"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20px"
                        android:layout_marginBottom="10px"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:gravity="bottom"
                        android:maxLines="1"
                        android:text="④  层"
                        android:textColor="@color/white"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/locker_up_drawer_5_TV"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20px"
                        android:layout_marginBottom="10px"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:gravity="bottom"
                        android:maxLines="1"
                        android:text="⑤  层"
                        android:textColor="@color/white"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/locker_up_drawer_6_TV"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20px"
                        android:layout_marginBottom="10px"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:gravity="bottom"
                        android:maxLines="1"
                        android:text="⑥  层"
                        android:textColor="@color/white"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/locker_up_drawer_7_TV"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20px"
                        android:layout_marginBottom="10px"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:gravity="bottom"
                        android:maxLines="1"
                        android:text="⑦  层"
                        android:textColor="@color/white"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/locker_up_drawer_8_TV"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20px"
                        android:layout_marginBottom="10px"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:gravity="bottom"
                        android:maxLines="1"
                        android:text="⑧  层"
                        android:textColor="@color/white"
                        android:visibility="gone" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/locker_down_drawer_LL"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/locker_down_drawer_1_TV"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20px"
                        android:layout_marginBottom="10px"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:gravity="bottom"
                        android:maxLines="1"
                        android:text="①  层"
                        android:textColor="@color/white"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/locker_down_drawer_2_TV"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20px"
                        android:layout_marginBottom="10px"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:gravity="bottom"
                        android:maxLines="1"
                        android:text="②  层"
                        android:textColor="@color/white"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/locker_down_drawer_3_TV"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20px"
                        android:layout_marginBottom="10px"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:gravity="bottom"
                        android:maxLines="1"
                        android:text="③  层"
                        android:textColor="@color/white"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/locker_down_drawer_4_TV"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20px"
                        android:layout_marginBottom="10px"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:gravity="bottom"
                        android:maxLines="1"
                        android:text="④  层"
                        android:textColor="@color/white"
                        android:visibility="gone" />
                </LinearLayout>
            </LinearLayout>
        </RelativeLayout>

        <TextView
            android:id="@+id/up_door_name_TV"
            android:layout_width="60px"
            android:layout_height="wrap_content"
            android:layout_marginStart="33px"
            android:layout_marginTop="168px"
            android:ellipsize="end"
            android:maxLines="4"
            android:textColor="@color/white" />

        <TextView
            android:id="@+id/down_door_name_TV"
            android:layout_width="60px"
            android:layout_height="wrap_content"
            android:layout_marginStart="33px"
            android:layout_marginTop="410px"
            android:ellipsize="end"
            android:maxLines="4"
            android:textColor="@color/white" />

        <TextView
            android:id="@+id/locker_name_TV"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="120px"
            android:layout_marginTop="30px"
            android:drawableStart="@drawable/locker_name_round"
            android:drawablePadding="15px"
            android:ellipsize="end"
            android:gravity="center_vertical"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textSize="16sp" />

    </RelativeLayout>
</RelativeLayout>